;	================================================================================

;	This function writes a buffer on disk

;	Args :
;		__hFile				HANDLE		Handle of the file to write to
;		__lpBuffer			LPBYTE		Pointer to the buffer to write
;		__dwBufferLength	DWORD	Sizeof of the buffer to write in bytes

File_Write					PROC	__hFile:HANDLE,__lpBuffer:LPBYTE,__dwBufferLength:DWord
							LOCAL	_dwNumberOfBytesWritten:DWord

							lea		eax,_dwNumberOfBytesWritten

							push	NULL
							push	eax
							push	__dwBufferLength
							push	__lpBuffer
							push	__hFile
							call	WriteFile	

							test	eax,eax
							jz		@Exit

								mov		eax,_dwNumberOfBytesWritten
								sub		eax,__dwBufferLength
								jnz		@Error

									mov		eax,TRUE
									jmp		@Exit

@Error :

							xor		eax,eax

@Exit :

							ret
File_Write					ENDP

;	================================================================================
